Group: Other
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:        SSL/TLS network protocol analyzer
Name:           ssldump
Version:        1.4
Release:        alt1_1
License:        BSD with advertising
URL:            https://github.com/adulau/ssldump
Source0:        https://github.com/adulau/ssldump/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        HOWTO
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
%if 0%{?fedora} || 0%{?rhel} > 7
BuildRequires:  libssl-devel
%else
BuildRequires:  openssl11-devel
%endif
BuildRequires:  libpcap-devel
BuildRequires:  libnet2-devel
BuildRequires:  libjson-c-devel
Source44: import.info

%description
The ssldump program is an SSL/TLS network protocol analyzer. It identifies
TCP connections on the chosen network interface and attempts to interpret
them as SSL/TLS traffic. When ssldump identifies SSL/TLS traffic, ssldump 
decodes the records and displays them in a textual form to stdout. And if
provided with the appropriate keying material, ssldump will also decrypt
the connections and display the application data traffic. This program is
based on tcpdump, a network monitoring and data acquisition tool.

%prep
%setup -q
install -p -m 0644 %{SOURCE1} .

%build
%if 0%{?rhel} == 7
export CFLAGS="$RPM_OPT_FLAGS $(pkg-config --cflags-only-I openssl11) -D_BSD_SOURCE"
export LDFLAGS="$RPM_LD_FLAGS $(pkg-config --libs-only-L openssl11)"
%endif

./autogen.sh
%configure
%make_build

%install
%makeinstall_std

%files
%doc --no-dereference COPYRIGHT
%doc ChangeLog CREDITS HOWTO README README.md
%{_sbindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Apr 14 2021 Igor Vlasenko <viy@altlinux.org> 1.4-alt1_1
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.3-alt1_1
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.2-alt2_1
- update to new release by fcimport

* Tue Jan 26 2021 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_1
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_0.22.b3
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_0.21.b3
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_0.20.b3
- new version

